## visad.data.fits
Class Tourist

    java.lang.Object
      visad.data.fits.Tourist

Direct Known Subclasses:
  TourInspector, TourWriter

public class Tourist
extends Object

Field Summary
`(package private) boolean` `replace`

Constructor Summary
`Tourist(boolean replace)`

Method Summary
`boolean` `visit(Function func, int depth)`
`boolean` `visit(Scalar scalar, int depth)`
`boolean` `visit(Set set, int depth)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### replace

    boolean replace

Constructor Detail

### Tourist

    public Tourist(boolean replace)

Method Detail

### visit

    public boolean visit(Function func,
                         int depth)
                  throws RemoteException,
                         VisADException

  Throws:
    `RemoteException`
    `VisADException`

### visit

    public boolean visit(Scalar scalar,
                         int depth)
                  throws VisADException

  Throws:
    `VisADException`

### visit

    public boolean visit(Set set,
                         int depth)
                  throws VisADException

  Throws:
    `VisADException`